Message-ID: <19990906223940.A24779@sk.stg.sdm.de>
Date: Mon, 6 Sep 1999 22:39:40 +0200
From: Sebastian Korff <Sebastian.Korff@sdm.de>
To: EdgarToernig <froese@gmx.de>
Subject: alevt

Hallo Edgar,

Ich habe alevt-1.4.5 installiert. Beim Rumklicken im Videotext bin
ich auf die Idee gekommen, alevt mit dem Browser zu verbinden, sodass
man im Videotext auf eine URL klicken kann und diese dann im Browser
geoeffnet wird. 
Entstanden ist dabei der nachstehende Patch. Dies ist ein 
Quick-and-Dirty-Hack !!! Sogar der Browser steht fest im Code!
Ich dachte nur, ich schicke Dir das hier als kleine Anregung fuer
zukuenftige Erweiterungen. Oder haeltst Du von dieser Idee nichts?

Gruss,
  Sebastian


--------8<-------------------8<------------------8<-------------------

--- alevt-1.4.5/ui.c    Thu Apr 29 22:42:03 1999
+++ ui.c        Sat Sep  4 08:30:51 1999
@@ -181,6 +181,37 @@
 }
 
 static int
+chk_screen_www(u8 *p, int x, int *pgno, int *subno)
+{
+    int i,n=0;
+    p += x;
+
+    for ( i = 0; p[i]; i++ )
+       {
+           if ( (p[i] == '.') && (p[i-1] != '.') ) 
+               n++;
+           else if ( isalnum( p[i] ) || ( p[i] == '/' ) || ( p[i] == ':' ) )
+               ;
+           else if ( ( isspace(p[i]) || (!isgraph(p[i])) ) && ( n >= 2 ) )
+               {
+                   char buf [200];
+                   p[i] = 0;
+                   sprintf( buf , 
+                            "netscape -remote \"openUrl(%s%s)\"" , 
+                            strstr(p,"://") ? "" : "http://" ,
+                            p
+                          );
+                   system ( buf );
+                   return 1;
+               }
+           else 
+               return 0;
+       }
+    return 0;
+}
+
+
+static int
 chk_screen_pgno(u8 *p, int x, int *pgno, int *subno)
 {
     p += x;
@@ -236,10 +267,16 @@
                        return;
                    }
                if (i >= -4)
-                   if (chk_screen_pgno(buf, x+i, &n1, &n2))
                    {
-                       new_or_query(w, n1, n2, new_win);
-                       return;
+                       if (chk_screen_pgno(buf, x+i, &n1, &n2))
+                       {
+                           new_or_query(w, n1, n2, new_win);
+                           return;
+                       }
+                       if (chk_screen_www(buf, x+i, &n1, &n2))
+                       {
+                            return;
+                        }
                    }
            }
        }

